@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΜΦΑΝΙΖΕΙ ΤΟΥΣ ΚΩΔΙΚΟΥΣ ΜΗΝΥΜΑΤΩΝ ΑΠΟ ΤΗΝ ΕΚΤΕΛΕΣΕΙ ΤΗΣ FFMPEG ΕΝΤΟΛΗΣ
REM ΜΠΟΡΕΊΤΕ ΝΑ ΤΟ ΚΑΝΕΤΕ ΝΑ ΕΜΦΑΝΙΖΕΙ ΟΤΙ ΘΕΛΕΤΕ ΜΟΝΟ ΠΟΥ ΔΕΝ ΜΠΟΡΕΊΤΕ ΝΑ ΤΟ ΑΦΑΙΡΕΣΕΤΕ!
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

set "errocode=%~1"
if "%errocode%"=="0" (
  goto OK
) else if "%errocode%"=="-2" (
    set "errocode=Δεν υπάρχει το αρχείο"
) else if "%errocode%"=="-1094995529" (
    set "errocode=Δεν μπόρεσε το FFmpeg να μετατρέψει το αρχείο" 
) else (
    set "errocode=Αγνωστος κωδικός Προβλήματος: %~1 " 
)

echo.
echo   ╔══════════════════════════════════════════════════════════════════════════╗
echo      Πρόβλημα και το ERROR CODE του Προβλήματος είναι: %~1 
echo.
echo      Που σημαίνει: %errocode%.  ☻  ☺  ☻                  
echo   ╚══════════════════════════════════════════════════════════════════════════╝
echo.
exit /b %errocode%


:OK
echo   ╔══════════════════════════════════════════════════════════════════════════╗
echo   ║              το Βίντεο προστέθηκε με επιτυχία ♪ ☺ ♫ ☺ ♪                  ║     
echo   ╚══════════════════════════════════════════════════════════════════════════╝
exit /b 0